Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MetaMethodIndex.MetaMethodCache

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.MetaMethodCache

-     public static class MetaMethodIndex.MetaMethodCache
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `MetaMethod` | `method` |
    `Class<?>[]` | `params` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaMethodCache(Class<?>[] params, MetaMethod method)` create a new method entry

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public final MetaMethod method

    - #### public final Class<?>[] params

  - ### Constructor Detail

    - #### public MetaMethodCache(Class<?>[] params, MetaMethod method)

      create a new method entry

      Parameters:
        `params` - in case of caching params might not be the same as MetaMethod.getParameterTypes
        `method` - the meta method